de.katho.kBorrow.models

## Class FreeArticleTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - de.katho.kBorrow.models.ArticleTableModel
    - - de.katho.kBorrow.models.FreeArticleTableModel

All Implemented Interfaces:
  KGuiModel, java.io.Serializable, javax.swing.table.TableModel

    public class FreeArticleTableModel
    extends ArticleTableModel
    implements KGuiModel

See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.String[]` `header`
`private static long` `serialVersionUID`

### Fields inherited from class de.katho.kBorrow.models.ArticleTableModel

`data`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`FreeArticleTableModel(KArticleModel pModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fetchData(KDataModel pModel)` Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.
`int` `getColumnCount()` Gibt Anzahl der Tabellenspalten zurück.

### Methods inherited from class de.katho.kBorrow.models.ArticleTableModel

`getColumnName, getIdFromRow, getRowCount, getValueAt, isCellEditable`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### header

    private java.lang.String[] header

### Constructor Detail

#### FreeArticleTableModel

    public FreeArticleTableModel(KArticleModel pModel)

### Method Detail

#### getColumnCount

    public int getColumnCount()

Description copied from class: `ArticleTableModel`
Gibt Anzahl der Tabellenspalten zurück.

Specified by:
  `getColumnCount` in interface `javax.swing.table.TableModel`
Overrides:
  `getColumnCount` in class `ArticleTableModel`
Returns:
  Anzahl der Tabellenspalten.

#### fetchData

    public void fetchData(KDataModel pModel)

Description copied from class: `ArticleTableModel`
Holt die benötigten Daten aus dem als Parameter übergebenen KDataModel.

Specified by:
  `fetchData` in interface `KGuiModel`
Overrides:
  `fetchData` in class `ArticleTableModel`
Parameters:
  `pModel` - KDataModel, von dem die Daten geholt werden sollen.